PTVS - Python Tools for Visual Studio requires clean install of Canopy 1.2+

As described in the Canopy 1.2 release notes, Canopy 1.2 has been extended with native PTVS integration, allowing PTVS to automatically recognize Canopy.

However updating to Canopy 1.2 does not fully install this integration; at present you need to do a clean install of Canopy 1.2. Apologies for the missing information.

Start by following all steps here: then install from download.

Then download a Canopy installer here: and install as new. 


Have more questions? Submit a request


Powered by Zendesk